From: Jiri Pirko <jiri@resnulli.us>
To: netdev@vger.kernel.org
Cc: kuba@kernel.org, pabeni@redhat.com, davem@davemloft.net,
edumazet@google.com, parav@nvidia.com, mst@redhat.com,
jasowang@redhat.com, xuanzhuo@linux.alibaba.com,
shuah@kernel.org, petrm@nvidia.com, liuhangbin@gmail.com,
vladimir.oltean@nxp.com, bpoirier@nvidia.com, idosch@nvidia.com,
virtualization@lists.linux.dev
Subject: [patch net-next v5 repost 4/5] selftests: forwarding: add wait_for_dev() helper
Date: Tue, 23 Apr 2024 12:41:08 +0200 [thread overview]
Message-ID: <20240423104109.3880713-5-jiri@resnulli.us> (raw)
In-Reply-To: <20240423104109.3880713-1-jiri@resnulli.us>
From: Jiri Pirko <jiri@nvidia.com>
The existing setup_wait*() helper family check the status of the
interface to be up. Introduce wait_for_dev() to wait for the netdevice
to appear, for example after test script does manual device bind.
Signed-off-by: Jiri Pirko <jiri@nvidia.com>
Reviewed-by: Petr Machata <petrm@nvidia.com>
---
v3->v4:
- removed "up" from ip link command line
v1->v2:
- reworked wait_for_dev() helper to use slowwait() helper
---
tools/testing/selftests/net/forwarding/lib.sh | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/tools/testing/selftests/net/forwarding/lib.sh b/tools/testing/selftests/net/forwarding/lib.sh
index 00e089dd951d..94751993321c 100644
--- a/tools/testing/selftests/net/forwarding/lib.sh
+++ b/tools/testing/selftests/net/forwarding/lib.sh
@@ -733,6 +733,19 @@ setup_wait()
sleep $WAIT_TIME
}
+wait_for_dev()
+{
+ local dev=$1; shift
+ local timeout=${1:-$WAIT_TIMEOUT}; shift
+
+ slowwait $timeout ip link show dev $dev &> /dev/null
+ if (( $? )); then
+ check_err 1
+ log_test wait_for_dev "Interface $dev did not appear."
+ exit $EXIT_STATUS
+ fi
+}
+
cmd_jq()
{
local cmd=$1
--
2.44.0
next prev parent reply other threads:[~2024-04-23 10:41 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-23 10:41 [patch net-next v5 repost 0/5] selftests: virtio_net: introduce initial testing infrastructure Jiri Pirko
2024-04-23 10:41 ` [patch net-next v5 repost 1/5] virtio: add debugfs infrastructure to allow to debug virtio features Jiri Pirko
2024-04-23 10:41 ` [patch net-next v5 repost 2/5] selftests: forwarding: add ability to assemble NETIFS array by driver name Jiri Pirko
2024-04-23 10:41 ` [patch net-next v5 repost 3/5] selftests: forwarding: add check_driver() helper Jiri Pirko
2024-04-23 10:41 ` Jiri Pirko [this message]
2024-04-23 10:41 ` [patch net-next v5 repost 5/5] selftests: virtio_net: add initial tests Jiri Pirko
2024-04-23 11:05 ` [patch net-next v5 repost 0/5] selftests: virtio_net: introduce initial testing infrastructure Jiri Pirko
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240423104109.3880713-5-jiri@resnulli.us \
--to=jiri@resnulli.us \
--cc=bpoirier@nvidia.com \
--cc=davem@davemloft.net \
--cc=edumazet@google.com \
--cc=idosch@nvidia.com \
--cc=jasowang@redhat.com \
--cc=kuba@kernel.org \
--cc=liuhangbin@gmail.com \
--cc=mst@redhat.com \
--cc=netdev@vger.kernel.org \
--cc=pabeni@redhat.com \
--cc=parav@nvidia.com \
--cc=petrm@nvidia.com \
--cc=shuah@kernel.org \
--cc=virtualization@lists.linux.dev \
--cc=vladimir.oltean@nxp.com \
--cc=xuanzhuo@linux.alibaba.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox